Subject: Re: What's cooking in git.git (Apr 2019, #02; Wed, 10)

From: Denton Liu <[email-masked]>
Date: Tue, 9 Apr 2019 11:22:47 -0700

Hi Junio,

On Wed, Apr 10, 2019 at 03:08:09AM +0900, Junio C Hamano wrote:
> * dl/submodule-set-branch (2019-02-08) 3 commits
>  - submodule: teach set-branch subcommand
>  - submodule--helper: teach config subcommand --unset
>  - git-submodule.txt: "--branch <branch>" option defaults to 'master'
> 
>  "git submodule" learns "set-branch" subcommand that allows the
>  submodule.*.branch settings to be modified.
> 
>  Needs sign-off on the tip commit; other than that it seems OK to be in 'next'.

This has been here for a while. Did you need my explicit sign-off for
this? If that's the case, here you go:

Signed-off-by: Denton Liu <[email-masked]>

> * dl/merge-cleanup-scissors-fix (2019-03-21) 11 commits
>  - cherry-pick/revert: add scissors line on merge conflict
>  - sequencer.c: define describe_cleanup_mode
>  - merge: add scissors line on merge conflict
>  - merge: cleanup messages like commit
>  - sequencer.c: remove duplicate code
>  - parse-options.h: extract common --cleanup option
>  - commit: extract cleanup_mode functions to sequencer
>  - t7502: clean up style
>  - t7604: clean up style
>  - t3507: clean up style
>  - t7600: clean up style
> 
>  The list of conflicted paths shown in the editor while concluding a
>  conflicted merge was shown above the scissors line when the
>  clean-up mode is set to "scissors", even though it was commented
>  out just like the list of updated paths and other information to
>  help the user explain the merge better.
> 
>  Needs review.
>  cf. <[email-masked]> (v9)

Phillip Wood left some comments for me here[1] and off-list. I haven't
had time to address his concerns yet but whenever I do, I'll probably be
sending another re-roll.

Thanks,

Denton

[1]: https://public-inbox.org/git/[email-masked]/